Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.Try now
Chargebeechargebee API

List alerts

Returns a list of alert configurations meeting all the conditions specified in the filter parameters below. Results include both global and subscription-scoped alerts.

Note: To retrieve only the alerts that are in effect for a specific subscription (after resolving global rules and overrides), use List applicable alerts instead.

Sample Request

List all alerts with filters

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/alerts

Input Parameters

limit
optional, integer, default=10, min=1, max=100

optional, integer

Maximum number of results to return.

Example → limit = 10

offset
optional, string, max chars=1000

optional, string

Pagination cursor returned by a previous list call. Use the next_offset value from the previous response.

Example → offset = "MjAyNC0xMi0yMFQxMjozMjo1MSswMDowMHw5OTk5OTk5OTk="

Filter Params

For operator usages, see the Pagination and Filtering section.
id[<operator>]

optional, string filter

Filter alerts by id.

Example → id[in] = "alert___dev__3Nl7purV3LwbKYH"

Supported operators: in
type[<operator>]

optional, enumerated string filter

Filter by type.

Example → type[is] = "usage_exceeded"

Supported operators: is
subscription_id[<operator>]

optional, string filter

Filter by subscription_id to find alerts scoped to a specific subscription.

Example → subscription_id[is] = "sub_KyV2S7Qm8tL7p"

Supported operators: is
status[<operator>]

optional, enumerated string filter

Filter by status.

Example → status[is] = "enabled"

Supported operators: is

Returns

next_offset
optional, string, max chars=1000

Returned only if more results are available. Pass this value as offset in the next request to fetch the next page.

Alert object
Resource object representing alert